> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Collections

> Retrieve a paginated list of product collections.

## Method

`GET` `/v1/collections`

## Query Parameters

<ParamField query="locale" type="string">Response locale (e.g. en, ro)</ParamField>
<ParamField query="limit" type="integer">Items per page (default 50, max 100)</ParamField>
<ParamField query="offset" type="integer">Number of items to skip (default 0)</ParamField>

## Headers

<ParamField header="Authorization" type="string" required>Bearer token (e.g. <code>Authorization: Bearer YOUR\_API\_KEY</code>)</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.voyantcloud.com/v1/collections?locale=en&limit=20&offset=0" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const res = await fetch("https://api.voyantcloud.com/v1/collections?locale=en&limit=20", {
    headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
  })
  const data = await res.json()
  ```

  ```python Python theme={null}
  import os, requests
  resp = requests.get(
    "https://api.voyantcloud.com/v1/collections",
    params={"locale": "en", "limit": 20, "offset": 0},
    headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"},
  )
  data = resp.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": [
      {
        "id": "col_123",
        "name": "Summer Picks"
      }
    ],
    "meta": {
      "total": 1,
      "limit": 20,
      "offset": 0,
      "hasMore": false
    }
  }
  ```
</ResponseExample>
